Bug 78129 - LTSP + Libreoffice + network share + open an already opened file = file damaged warning
Summary: LTSP + Libreoffice + network share + open an already opened file = file damag...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: needsLTSP
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-30 18:50 UTC by Roberto Cocchiararo
Modified: 2016-09-19 16:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto Cocchiararo 2014-04-30 18:50:41 UTC
1) Ubuntu: Ubuntu 12.04.4 LTS
2) Libre Office: 4.2.3~rc3-0ubuntu2~precise1
3) If one person has opened a network shared file, and another one tries to open it, the message asking to open it as read only or a copy should be shown.
4) I get the message informing me that the file is damaged and if i want to repair it (wichever option i choose, i end up with a "general error").

Notes:
a) This happens if i open a file and i try to open it again
b) Only happens on network shares (smb, cifs, using nautilus, defining them in fstab, using pam_mount, etc, this is not the same bug from some time ago (67527)were smb shares would fail if mounted browsing the windows network in nautilus)
c) Only happens on LTSP thin clients, with libreoffice running on the server.
d) If the user blocking the file is not an LTSP thin client machine, even from a thing client machine, you get the correct message. It would seem that only thin clients fail to do SOMETHING to correctly inform that the file is blocked.
e) Logging directly to the server (not as a thin client), i don't have this issue either
Comment 1 Robinson Tryon (qubit) 2014-11-13 00:40:11 UTC
(In reply to Roberto Cocchiararo from comment #0)
> c) Only happens on LTSP thin clients, with libreoffice running on the server.

Hi Roberto,
Sorry that we haven't been able to track down this problem yet. I'm not sure if any of our QA Team members have access to a machine running LTSP.

Are you still experiencing the issue with the latest builds of LibreOffice?
Comment 2 Roberto Cocchiararo 2014-11-13 17:13:37 UTC
Unfortunately, i no longer work there.

A friend does tho, so i might be able to transfer your inquiries. I know he failed to upgrade form 12.04 to 14.04, so they remained on that release, and i believe this issue continues.
Comment 3 Robinson Tryon (qubit) 2014-12-23 21:37:23 UTC
(In reply to Roberto Cocchiararo from comment #2)
> A friend does tho, so i might be able to transfer your inquiries. I know he
> failed to upgrade form 12.04 to 14.04, so they remained on that release, and
> i believe this issue continues.

Status -> NEEDINFO

Please point him at this bug report -- it would be great to know if we should investigate further!
Comment 4 QA Administrators 2015-07-18 17:35:45 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-09-04 03:01:05 UTC Comment hidden (obsolete)
Comment 6 Robinson Tryon (qubit) 2015-12-18 10:35:41 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-09-19 16:48:12 UTC Comment hidden (obsolete)